#!/bin/bash

function usage(){
    echo "Usage: ./import-ova.sh <ENV_EXPORT_FILE> <OVA_FILE> <VM_NETWORK>"
    echo "       ./import-ova.sh ~/vsphere-tkg-env ~/photon-3-kube-v1.17.9_vmware.1.ova VLAN-1234"
    echo "       ./import-ova.sh ~/vsphere-tkg-env ~/photon-3-kube-v1.17.9_vmware.1.ova 'VM Network'"
}

if [[ -z $1 ]]; then
    echo "Error: missing arg for env export file"
    usage
    exit 1
elif [[ ! -f $1 ]]; then
    echo "Error: env export file not found"
    exit 1
fi

if [[ -z $2 ]]; then
    echo "Error: missing arg for ova file"
    usage
    exit 1
elif [[ ! -f $2 ]]; then
    echo "Error: ova file not found"
    exit 1
fi

if [[ -z $3 ]]; then
    echo "Error: missing arg for VM Network"
    usage
    exit 1
fi

# export envs for GOVC
source $1

# setting argumet to var name for readability
OVA=$2

# add network value and mark as template
govc import.spec $OVA | jq --arg net "$3" '.NetworkMapping[].Network = $net' | jq '.MarkAsTemplate = true'  > $OVA.json

# import OVA
govc import.ova -options=$OVA.json $OVA